## light 1.2.1

=== debian/changelog ===
light (1.2.1-3) unstable; urgency=medium

  * Change way udev rules are dealt with to be effective without reboot

 -- Samuel Henrique <samueloph@debian.org>  Thu, 23 Jan 2020 01:02:12 +0000

light (1.2.1-2) unstable; urgency=medium

  * Sourceful upload after NEW queue

 -- Samuel Henrique <samueloph@debian.org>  Mon, 20 Jan 2020 18:41:02 +0000

light (1.2.1-1) unstable; urgency=medium

  * Initial Debian Release (Closes: #947974)
    Thanks to Joachim Nilsson for the initial work
  * d/control: Add dependency on udev
  * d/light.postinst: Add udevadm trigger to reload permissions rules
  * Fix udevadm trigger to make it effective without reboot
  * d/copyright: Add myself
  * d/control: Fix typo in description

 -- Samuel Henrique <samueloph@debian.org>  Thu, 02 Jan 2020 22:45:35 +0000

## light controller-0.5.0

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = python -msphinx
SPHINXPROJ    = light_controller
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

## light 1.2.2

=== debian/changelog ===
light (1.2.2-2) unstable; urgency=medium

  * Bump DH to 13
  * d/p/gcc10.patch: New upstream patch to fix FTBFS on GCC10 (closes: #957488)

 -- Samuel Henrique <samueloph@debian.org>  Sat, 25 Jul 2020 12:03:43 +0100

light (1.2.2-1) unstable; urgency=medium

  * New upstream version 1.2.2
  * Bump Standards Version to 4.5.0

 -- Samuel Henrique <samueloph@debian.org>  Sun, 22 Mar 2020 00:30:43 +0000

=== debian/control ===
Source: light
Section: misc
Priority: optional
Maintainer: Samuel Henrique <samueloph@debian.org>
Homepage: https://github.com/haikarainen/light
Build-Depends: debhelper-compat (= 13)
Vcs-Browser: https://salsa.debian.org/debian/light
Vcs-Git: https://salsa.debian.org/debian/light.git
Standards-Version: 4.5.0
Rules-Requires-Root: no

Package: light
Architecture: any
Depends: udev, ${shlibs:Depends}, ${misc:Depends}
Description: control display backlight controllers and LEDs
 Light is a useful tool to control display brightness in lightweight
 desktops or window managers that do not have bundled applications for
 this purpose.
 .
 Most modern laptops have moved away from hardware controlled brightness
 and require software control.  Light works where other software has
 proven to be unreliable, e.g. xbacklight.  It can even be used from the
 console as it does not rely on X.
 .
 Light has features like setting a minimum brightness value, as well as
 saving and restoring the brightness at reboot and startup.

=== debian/rules ===
#!/usr/bin/make -f
# export DH_VERBOSE=1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --with-udev

override_dh_installchangelogs:
	dh_installchangelogs ChangeLog.md

override_dh_auto_install:
	dh_auto_install
	rm -f debian/light/usr/share/doc/light/COPYING
	rm -f debian/light/usr/share/doc/light/ChangeLog.md

## light side-0.0.1

=== requirements.txt ===
PyYAML~=6.0
fire~=0.4.0
imageio~=2.15.0
numpy~=1.21.0
pytorch_lightning~=1.6.0
rich~=11.2.0
scikit-learn~=1.0.2
torchaudio~=0.8.1
torchmetrics~=0.7.1
torchvision~=0.9.1
torch~=1.8.1
uniplot~=0.5.0

## light side-0.0.4

=== requirements.txt ===
PyYAML~=6.0
fire~=0.4.0
imageio~=2.15.0
numpy~=1.21.0
pytorch_lightning~=1.6.0
rich~=11.2.0
torchmetrics~=0.7.1
torchvision~=0.9.1
torch~=1.8.1
uniplot~=0.5.0
scikit-learn~=1.0.2

## light side-0.0.10

=== requirements.txt ===
fire~=0.4.0
imageio~=2.15.0
numpy~=1.22.0
pytorch_lightning~=1.6.0
PyYAML~=6.0
rich~=11.2.0
scikit-learn~=1.0.2
torch~=1.8.1
torchmetrics~=0.7.1
torchvision~=0.9.1
uniplot~=0.5.0

## light side-0.1.0

=== requirements.txt ===
fire~=0.4.0
imageio~=2.15.0
numpy~=1.22.0
pytorch_lightning~=1.7.0
PyYAML~=6.0
rich~=12.2.0
scikit-learn~=1.0.2
setuptools==59.5.0
torch~=1.9.1
torchmetrics~=0.7.1
torchvision~=0.10.1
uniplot~=0.5.0
